Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034171
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2016-10-04 15:412016-12-16 18:37
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision043f858edd91
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034171: It would be nice to have a response action to refresh grid parameters

DescriptionAfter executing a standard process definition, it is possible to perform a series of actions. There are already some defined actions out of the box in core[1].

Currently it is possible to fire a grid refresh on a standard window, but it does not exists an action to refresh a grid parameter. This action will be specially useful for those process definitions which are directly opened from the menu.

[1] https://code.openbravo.com/erp/devel/pi/file/tip/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0021689 closeddbaz Add capabilities to define actions to be executed using a JSON 

-  Notes
(0090718)
hgbot (developer)
2016-10-20 11:32

Repository: erp/devel/pi
Changeset: 043f858edd91fcfa81321dee8e132557c76953f3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Oct 20 11:31:00 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/043f858edd91fcfa81321dee8e132557c76953f3 [^]

fixes issue 34171: New standard response action to refresh grid parameters

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js
---
(0090719)
caristu (developer)
2016-10-20 12:54

Updated doc: http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#Returning_Several_Actions [^]
(0090981)
alostale (developer)
2016-10-28 09:41

code reviewed + tested
(0092537)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-04 15:41 caristu New Issue
2016-10-04 15:41 caristu Assigned To => platform
2016-10-04 15:41 caristu Modules => Core
2016-10-04 15:41 caristu Triggers an Emergency Pack => No
2016-10-04 15:41 caristu Relationship added related to 0025811
2016-10-04 15:45 caristu Relationship added related to 0021689
2016-10-04 15:45 caristu Relationship deleted related to 0025811
2016-10-20 11:32 hgbot Checkin
2016-10-20 11:32 hgbot Note Added: 0090718
2016-10-20 11:32 hgbot Status new => resolved
2016-10-20 11:32 hgbot Resolution open => fixed
2016-10-20 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/043f858edd91fcfa81321dee8e132557c76953f3 [^]
2016-10-20 11:33 caristu Review Assigned To => alostale
2016-10-20 11:33 caristu Issue Monitored: alostale
2016-10-20 12:54 caristu Note Added: 0090719
2016-10-20 13:57 caristu Assigned To platform => caristu
2016-10-28 09:41 alostale Note Added: 0090981
2016-10-28 09:41 alostale Status resolved => closed
2016-10-28 09:41 alostale Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092537


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker